---

mediaimport_users:
  - name: "{{ envsetup_mediaimport_user | d() }}"
    passwd: "{{ envsetup_mediaimport_password | d() }}"

mediaimport_packages:
  - clamav
  - mysecureshell
  - openssh-server
  - openssl
  - pure-ftpd
  - python3-unidecode
  - ubicast-mediaimport
  # required by ansible tasks
  - python3-openssl

mediaimport_pureftpd_config:
  - key: AllowDotFiles
    value: "no"
  - key: CallUploadScript
    value: "yes"
  - key: ChrootEveryone
    value: "yes"
  - key: DontResolve
    value: "yes"
  - key: PAMAuthentication
    value: "yes"
  - key: TLS
    value: "1"

mediaimport_virus_scan_on_upload: false

mediaimport_ms_api_key: "{{ envsetup_ms_api_key | d() }}"
mediaimport_ms_server_name: "{{ envsetup_ms_server_name | d() }}"

mediaimport_fail2ban_enabled: "{{ envsetup_fail2ban_enabled | d(true) }}"

mediaimport_firewall_enabled: true
mediaimport_ferm_rules_filename: import
mediaimport_ferm_input_rules:
  - proto:
      - tcp
    dport:
      - 21
      - 22
  - mod: helper
    helper: ftp
mediaimport_ferm_output_rules: []
mediaimport_ferm_global_settings:

...
